Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7687 - Upgrade frpm Red Hat 5.1 -> 6.1 fails
Summary: Upgrade frpm Red Hat 5.1 -> 6.1 fails
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-08 20:25 UTC by cliff
Modified: 2015-01-07 23:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 20:59:18 UTC


Attachments (Terms of Use)

Description cliff 1999-12-08 20:25:19 UTC
Hello,

  I recently purchased RH Linux 6.1 and attempted to upgrade my existing
  RH 5.1 system and it failed.  Here's the transcript of what happened :

  (boot floppy for 6.1 and Disk-1 (CD) loaded)

  boot :

  (<cr> for GUI installation/upgrade)

  - load SCSI adaptor aic7xxx
  - probe for mouse type (text below the 'blue screen')
  - message :
    'X startup failed, falling back to text mode' (again below 'blue
    screen')

  proceeds here...

  - Language Selection : english
  - Keyboard : us

  "Welcome to RedHat Linux" splash-screen appears

  - Installation Type : Upgrade Existing Installation

  - more messages appear :

   "searching for RedHat Linux Installations"
   "looking for packages"
   "reading package information"

  Then the error occurs, with the traceback :

  Exception Occured

  Traceback (innermost last) :
  File "/usr/bin/anaconda", line 225,
  in ?
  intf.run(todo, test = test)
  File
  "../../../RedHat/instimage/usr/lib/python1.5/site_packages/text.py", line
1000 in run
  rc = apply(step[1](), step[2])
  File
  "../../../RedHat/instimage/usr/lib/python1.5/site_packages/text.py", line
251 in __call__
  todo.upgradeFindPackages (root)
  File
  "../../../RedHat/instimage/usr/lib/python1.5/site_packages/todo.py", line
1154, in upgradeFindPackages
  self.mountFileSystems()
  File
  "../../../RedHat/instimage/usr/lib/python11.5/site_packages/todo.py",
line 602, in mountFileSystems
  isys.makeDevInode(device, '/tmp' + device)
  File
  "/usr/lib/python1.5/site_packages/isys.py", line 64, in
makeDevInode(name, fn)
  SystemError: (0, "Error')

  Now I select the "debug" menu item and the bottom and get the message
  "Finding Packages to Upgrade"  followed by :

  > /usr/lib/python1.5/site_packages/isys.py(64)makeDevInode()
 -> return _isys.mkdevinode(name, fn)
 (Pdb)

  At this point I abort the upgrade.

Any Thoughts?  I've been running RH 5.1 just fine since it was released

Cheers
Cliff

Comment 1 Cristian Gafton 2000-01-06 21:02:59 UTC
assigned to jturner

Comment 2 Jay Turner 2000-02-09 20:59:59 UTC
The error that you are getting is a result of the installer not being able to
create the inode in order to mount your existing filesystem to determine which
installation to upgrade.  The first thing that comes to mind is that you do not
have enough drive space in order to perform the upgrade, but that is really just
a guess at this point.  The only other thing that I can imagine is that you do
not have permissions on the filesystem where it is trying to create the inode,
but this is really a stretch.  Reopen this bug if you are still having problems
with the installation.


Note You need to log in before you can comment on or make changes to this bug.